(ns rss-thread-watch.utils-test
  (:require [clojure.test :refer :all]
            [rss-thread-watch.utils :refer :all]))

(def first-map {:a :b
                :c "c"})
(def empty-map {})

(deftest map-deep-merge-missing-test
  (testing "Default values in place of missing keys"
    (is (= first-map (map-apply-defaults first-map empty-map))
        "No defaults should return conf map unchanged")
    (is (= first-map (map-apply-defaults empty-map first-map))
        "Empty map should be completely replaced by defaults")))
